=== debian/changelog ===
oasis (0.2.0-6) unstable; urgency=low

  * Team upload.
  * Fix FTBFS with oUnit 1.1.1
    - add cope_with_ounit1.1.1_changes.patch
  * Rebuilt with latest OCamlgraph (1.8.2).
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 16 May 2012 12:49:04 +0200

oasis (0.2.0-5) unstable; urgency=low

  * Team upload.
  * Rebuild with OCaml 3.12.1.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Nov 2011 09:08:41 +0100

oasis (0.2.0-4) unstable; urgency=low

  * Don't set timeout to avoid error on slow arch

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 28 Jun 2011 16:16:04 +0000

oasis (0.2.0-3) unstable; urgency=low

  * Team upload
  * Rebuild with new ocaml-data-notation
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jun 2011 08:39:06 +0200

oasis (0.2.0-2) unstable; urgency=low

  * Team upload.
  * Fix broken (inferred) dependencies of the binary package oasis.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 23 Apr 2011 15:03:49 +0200

oasis (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #603830)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 22 Nov 2010 15:59:13 +0100
