=== debian/control ===
Source: oasis
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocamlify,
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  ocaml-base-nox,
  libpcre-ocaml-dev,
  libounit-ocaml-dev (>= 1.1.0),
  libodn-ocaml-dev (>= 0.0.3),
  libocamlgraph-ocaml-dev,
  libfindlib-ocaml-dev,
  libfileutils-ocaml-dev,
  libextlib-ocaml-dev,
  libexpect-ocaml-dev (>= 0.0.2),
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Homepage: http://oasis.forge.ocamlcore.org/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/oasis.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/oasis.git

Package: oasis
Architecture: all
Suggests: liboasis-ocaml-doc
Depends:
 ${misc:Depends},
 libextlib-ocaml,
 liboasis-ocaml,
 libodn-ocaml,
 libpcre-ocaml,
 ocaml-base-nox-${F:OCamlABI}
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 It also allows to have standard entry points and description. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains command-line tools.

Package: liboasis-ocaml-dev
Architecture: any
Suggests: liboasis-ocaml-doc
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 It also allows to have standard entry points and description. It helps to
 integrates your libraries and software with third parties tools like GODI.

Package: liboasis-ocaml
Architecture: any
Suggests: liboasis-ocaml-doc
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 It also allows to have standard entry points and description. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the shared runtime libraries.

Package: liboasis-ocaml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 It also allows to have standard entry points and description. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the documentation.
