## oasis 0.3.0

=== Makefile ===
--- 
+++ 
@@ -25,10 +25,12 @@
 CONFIGUREFLAGS += $(if $(shell ocamlfind query gettext),--enable-gettext,--disable-gettext)
 
 default: test
-#TESTFLAGS      += -long 
+	-OCamlDarcsPrecommit
+
+export OCAMLRUNPARAM=b
+TESTFLAGS      += -not-long
 #TESTFLAGS      += -verbose
-#TESTFLAGS      += -debug
-#TESTFLAGS      += -only-test OASIS:5:TestFull:0:../examples/flags:1
+#TESTFLAGS      += -only-test OASIS:5:TestFull:2:../examples/packedlib:0:standard
 
 # OASIS_START
 # DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
@@ -69,61 +71,22 @@
 
 # OASIS_STOP
 
-# Backup targets to be able to build even if OASIS fails
-
-OASIS ?= boot/oasis
-
-build-backup:
-	$(OASIS)
-	touch setup.data
-	ocamlbuild $(OCAMLBUILDFLAGS) src/tools/ocamlmod.byte
-	cp _build/src/tools/ocamlmod.byte _build/src/tools/ocamlmod
-	ocamlbuild $(OCAMLBUILDFLAGS) \
-	  src/oasis/oasis.cma \
-	  src/base/base.cma \
-	  src/plugins/custom/plugin-custom.cma \
-	  src/plugins/none/plugin-none.cma \
-	  src/plugins/internal/plugin-internal.cma \
-	  src/plugins/ocamlbuild/plugin-ocamlbuild.cma \
-	  src/plugins/extra/META/plugin-meta.cma \
-	  src/plugins/extra/devfiles/plugin-devfiles.cma \
-	  src/plugins/extra/stdfiles/plugin-stdfiles.cma \
-	  src/builtin-plugins.cma \
-	  src/OASISMain.byte test/test.byte
-	cp _build/src/OASISMain.byte _build/src/oasis
-	cp _build/test/test.byte _build/test/test
-
-
-TEST_BACKUP_RECURSE ?= true
-
-test-backup: build-backup
-	if cd test && ../_build/test/test $(TESTFLAGS); then \
-	  cd ..; \
-	  if $(TEST_BACKUP_RECURSE) && \
-	     $(MAKE) test-backup \
-	       TEST_BACKUP_RECURSE=false \
-	       OASIS=_build/src/oasis; then \
-	    cp boot/oasis boot/oasis.old; \
-	    cp _build/src/oasis boot/oasis; \
-	  fi; \
-	fi
-
-clean-backup:
-	ocamlbuild -clean
-
 wc:
 	find src/ -name "*.ml" | xargs wc -l
 
+wc-setup:
+	awk -f src/tools/setup-wc.awk setup.ml
+
 headache:
 	find ./ -name _darcs -prune -false -o -name _build -prune \
-	  -false -o -name ext -prune -false -o -name bindist -prune -false \
-		-o -name boot -prune -false \
-	  -o -type f \
+	  -false -o -name ext -prune -false -o -name bindist -prune \
+	  -false -o -name boot -prune -false \
+	  -o -name '*[^~]' -type f \
 	  | xargs headache -h _header -c _headache.config
 
-.PHONY: build-backup test-backup clean-backup wc headache
+.PHONY: wc wc-setup headache
 
-# Binary distribution 
+# Binary distribution
 
 BINDIST_DEBUG=false
 
@@ -140,8 +103,8 @@
 ifeq ($(os_type),"Win32")
 tr_path = cygpath -w
 else
-tr_path = echo 
-endif 
+tr_path = echo
+endif
 
 BINDISTGZ=$(pkg_name)-$(pkg_version)-bindist.tar.gz
 
@@ -159,32 +122,37 @@
 	  --disable-libraries \
 	  --override ocamlbuildflags "-classic-display -tag custom" \
 	  $(CONFIGUREFLAGS)
-	$(SETUP) -build 
+	$(SETUP) -build
 	if ! $(BINDIST_DEBUG); then $(SETUP) -test; fi
 	if ! [ "$(os_type)" = "Win32" ]; then $(SETUP) -doc; fi
 	$(SETUP) -install
 	tar czf $(BINDISTGZ) bindist
 	-$(RM) -r $(BINDISTDIR)
 
-.PHONY: build-backup test-backup clean-backup wc headache bindist bindist-step2
+.PHONY: bindist bindist-step2
 
 # Source distribution
 
-dist: setup.data
-	if ! [ "$$(darcs diff | wc -l)" = 0 ]; then \
-	  echo E: Uncommited changes >&2 ; exit 1; \
+dist:
+	# Check consistency of versions
+	OASIS_CMD_VER=$$(oasis version); \
+	OASIS_DIST_VER=$$(oasis query version); \
+	OASIS_SETUP_VER=$$($(SETUP) -version); \
+	if [ "x$$OASIS_CMD_VER" != "x$$OASIS_DIST_VER" ]; then \
+		echo "Must be running the same version of oasis as the one being built" >&2; \
+		exit 1; \
+	fi; \
+	if [ "x$$OASIS_SETUP_VER" != "x$$OASIS_DIST_VER" ]; then \
+		echo "Must be running the have used the same version for setup.ml  as the one being built" >&2; \
+		exit 1; \
 	fi
-	$(MAKE) test
-	$(MAKE) dist-step2
+	./src/tools/oasis-dist.ml
 
--include setup.data
-dist-step2:
-	darcs dist --dist-name $(pkg_name)-$(pkg_version)
-	if ! (darcs query tag | grep "$(pkg_version)" > /dev/null); then \
-	  darcs tag "$(pkg_version)"; \
-	else \
-	  echo W: Version $(pkg_version) already tagged >&2; \
-	fi 
-	gpg -s -a -b "$(pkg_name)-$(pkg_version).tar.gz"
+.PHONY: dist
 
-.PHONY: dist dist-step2
+# Fixing permissions
+
+fixperms:
+	for i in $$(cat _fixperms); do chmod +x "./$$i"; done
+
+.PHONY: fixperms
