=== debian/changelog ===
oasis (0.3.0-4) unstable; urgency=low

  * Team upload
  * debian/patches:
    • switch patches to dom-{save,apply}-patches workflow
    + Update ocamldoc-related test for OCaml 4.01.0 (Closes: #731636)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Dec 2013 11:03:26 +0100

oasis (0.3.0-3) unstable; urgency=high

  * Team upload.
  * Fix test suite on bytecode architectures (Closes: #718748).
    + Add fix-testsuite-on-bytecode-archs.patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Nov 2013 00:44:09 +0100

oasis (0.3.0-2) unstable; urgency=low

  * update Vcs fields
  * add patch from Sylvain (Closes: #711452)
  * enable tests (add patch fixperms-debian-rules to fix premature errors)
  * cp OASISData.mli with proper test
  * add build-dep zlib1g-dev for tests
  * add liboasis-ocaml-dev dependency to oasis (Closes: #711451)
  * add patch require-ocamlbuild-for-test for fixing test
    OASIS:5:TestFull:28:setup
  * build-depend on libidn11-dev and libbitstring-ocaml-dev to enable more tests

 -- Hendrik Tews <hendrik@askra.de>  Mon, 24 Jun 2013 10:33:04 +0200

oasis (0.3.0-1) unstable; urgency=low

  * Imported Upstream version 0.3.0 (Closes: #684563)
  * fix copyright file
  * refresh patches
    - remove dubious patch debian-changes-0.2.0-1
    - remove cope_with_ounit1.1.1 because of upstream fix
    - fix description in debian-changes-0.2.0-4
    - add lintian-spelling for spelling errors
    - add fix-ocamlbuild-plugin-export for the Ocamlbuild_plugin 
      export problem
  * add myself as uploader
  * bump standards version and debhelper compat level
  * build missing src/oasis/OASISData.mli
  * fix debian/rules
  * delete cleaner from gbd.conf
  * fix build dependencies
  * fix *.install files
  * improve package description and man page (triggered by lintian)
  * add lintian override for 
    liboasis-ocaml-dev: extra-license-file usr/lib/ocaml/oasis/OASISLicense.cmi

 -- Hendrik Tews <hendrik@askra.de>  Thu, 30 May 2013 11:40:09 +0200

oasis (0.2.0-7) unstable; urgency=low

  * Team upload
  * Switch oasis to arch:any, and make it use ${ocaml:Depends}
  * Rebuild with latest pcre-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 12 May 2013 13:47:05 +0200
