=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: 
-  Sylvain Le Gall <gildor@debian.org>
+  Sylvain Le Gall <gildor@debian.org>,
+  Hendrik Tews <hendrik@askra.de>
 Build-Depends:
+  debhelper (>= 9),
+  dh-ocaml (>= 0.9~),
+  ocaml-nox (>= 3.11.1-3~),
+  ocaml-best-compilers,
+  ocaml-findlib,
   ocamlify,
-  ocaml-nox (>= 3.11.1-3~),
-  ocaml-findlib,
-  ocaml-base-nox,
+  ocamlmod,
   libpcre-ocaml-dev,
   libounit-ocaml-dev (>= 1.1.0),
   libodn-ocaml-dev (>= 0.0.3),
@@ -17,24 +21,23 @@
   libfileutils-ocaml-dev,
   libextlib-ocaml-dev,
   libexpect-ocaml-dev (>= 0.0.2),
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+  zlib1g-dev,
+  libidn11-dev,
+  libbitstring-ocaml-dev
+Standards-Version: 3.9.4
 Homepage: http://oasis.forge.ocamlcore.org/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/oasis.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/oasis.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/oasis.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/oasis.git
 
 Package: oasis
-Architecture: all
+Architecture: any
 Suggests: liboasis-ocaml-doc
 Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
  ${misc:Depends},
- libextlib-ocaml,
- liboasis-ocaml,
- libodn-ocaml,
- libpcre-ocaml,
- ocaml-base-nox-${F:OCamlABI}
-Description: Architecture for building OCaml libraries and applications
+ liboasis-ocaml-dev
+Description: Build-system generation for OCaml projects -- binaries
  OASIS generates a full configure, build and install system for your
  application. It starts with a simple `_oasis` file at the toplevel of your
  project and creates everything required.
@@ -52,7 +55,7 @@
  configure/install scheme. Libraries are managed through findlib. It has been
  tested on GNU Linux and Windows.
  .
- It also allows to have standard entry points and description. It helps to
+ OASIS supports standard entry points and descriptions. It helps to
  integrates your libraries and software with third parties tools like GODI.
  .
  This package contains command-line tools.
@@ -60,10 +63,13 @@
 Package: liboasis-ocaml-dev
 Architecture: any
 Suggests: liboasis-ocaml-doc
-Depends: ${ocaml:Depends}, ${misc:Depends}
+Depends: 
+ ${ocaml:Depends}, 
+ ${shlibs:Depends},
+ ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: Architecture for building OCaml libraries and applications
+Description: Build-system generation for OCaml projects -- development files
  OASIS generates a full configure, build and install system for your
  application. It starts with a simple `_oasis` file at the toplevel of your
  project and creates everything required.
@@ -81,15 +87,21 @@
  configure/install scheme. Libraries are managed through findlib. It has been
  tested on GNU Linux and Windows.
  .
- It also allows to have standard entry points and description. It helps to
+ OASIS supports standard entry points and descriptions. It helps to
  integrates your libraries and software with third parties tools like GODI.
+ .
+ This package contains the development files needed for using OASIS as
+ a library.
 
 Package: liboasis-ocaml
 Architecture: any
 Suggests: liboasis-ocaml-doc
-Depends: ${ocaml:Depends}, ${misc:Depends}
+Depends:
+ ${ocaml:Depends}, 
+ ${shlibs:Depends},
+ ${misc:Depends}
 Provides: ${ocaml:Provides}
-Description: Architecture for building OCaml libraries and applications
+Description: Build-system generation for OCaml projects -- runtime
  OASIS generates a full configure, build and install system for your
  application. It starts with a simple `_oasis` file at the toplevel of your
  project and creates everything required.
@@ -107,10 +119,10 @@
  configure/install scheme. Libraries are managed through findlib. It has been
  tested on GNU Linux and Windows.
  .
- It also allows to have standard entry points and description. It helps to
+ OASIS supports standard entry points and descriptions. It helps to
  integrates your libraries and software with third parties tools like GODI.
  .
- This package contains the shared runtime libraries.
+ This package contains the shared runtime libraries and plugins.
 
 Package: liboasis-ocaml-doc
 Architecture: all
@@ -134,7 +146,7 @@
  configure/install scheme. Libraries are managed through findlib. It has been
  tested on GNU Linux and Windows.
  .
- It also allows to have standard entry points and description. It helps to
+ OASIS supports standard entry points and descriptions. It helps to
  integrates your libraries and software with third parties tools like GODI.
  .
  This package contains the documentation.
