=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+#export DH_OPTIONS=-v
 
 DESTDIR=$(CURDIR)/debian/tmp
 
@@ -14,15 +15,19 @@
 export OCAMLFIND_LDCONF
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc'
+	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc' --enable-tests
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	ocaml setup.ml -build
+	if [ ! -f src/oasis/OASISData.mli ] ; then \
+		ocamlbuild src/oasis/OASISData.inferred.mli; \
+		cp -i _build/src/oasis/OASISData.inferred.mli src/oasis/OASISData.mli; \
+	fi
 	ocaml setup.ml -doc
 
 .PHONY: override_dh_auto_test
@@ -38,7 +43,6 @@
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install --fail-missing
-	echo 'F:OCamlABI=$(OCAML_ABI)' >> debian/oasis.substvars
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
