=== debian/changelog ===
oasis (0.4.4-2) unstable; urgency=medium

  * Team upload
  * debian/patches:
    + Remove dynrun_for_release test (it times out on mips*)
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Jun 2014 12:19:24 +0200

oasis (0.4.4-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Imported upstream version 0.4.4
  * Remove last patch, it has been applied upstream

  [ Sylvain Le Gall ]
  * Imported Upstream version 0.4.2.
  * Remove most of the patches, they have been applied upstream.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Jun 2014 15:21:21 +0200

oasis (0.3.0-5) unstable; urgency=medium

  * Team upload.
  * text.byte requires Extlib through TestCommon. Fixes "FTBFS: Error:
    Unbound module ExtString" (Closes: #746095)

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 May 2014 12:45:28 +0200
