=== debian/control ===
--- 
+++ 
@@ -2,29 +2,28 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
+Uploaders:
   Sylvain Le Gall <gildor@debian.org>,
   Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   debhelper (>= 9),
   dh-ocaml (>= 0.9~),
-  ocaml-nox (>= 3.11.1-3~),
+  ocaml-nox (>= 3.11.2),
   ocaml-best-compilers,
-  ocaml-findlib,
+  ocaml-findlib (>= 1.3.1),
   ocamlify,
-  ocamlmod,
+  ocamlmod (>= 0.0.7),
   libpcre-ocaml-dev,
-  libounit-ocaml-dev (>= 1.1.0),
-  libodn-ocaml-dev (>= 0.0.3),
-  libocamlgraph-ocaml-dev,
+  libounit-ocaml-dev (>= 2.0.0),
+  libodn-ocaml-dev (>= 0.0.11),
   libfindlib-ocaml-dev,
-  libfileutils-ocaml-dev,
-  libextlib-ocaml-dev,
-  libexpect-ocaml-dev (>= 0.0.2),
+  libfileutils-ocaml-dev (>= 0.4.2),
+  libexpect-ocaml-dev (>= 0.0.4),
   zlib1g-dev,
   libidn11-dev,
+  libextlib-ocaml-dev,
   libbitstring-ocaml-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://oasis.forge.ocamlcore.org/
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/oasis.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/oasis.git
@@ -63,8 +62,8 @@
 Package: liboasis-ocaml-dev
 Architecture: any
 Suggests: liboasis-ocaml-doc
-Depends: 
- ${ocaml:Depends}, 
+Depends:
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
@@ -97,7 +96,7 @@
 Architecture: any
 Suggests: liboasis-ocaml-doc
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
