## oasis 0.4.5

=== Makefile ===
--- 
+++ 
@@ -139,11 +139,14 @@
 deploy: headache doc-dist
 	# TODO: create a plugin to create documentation.
 	# oasis doc-dist
+	mkdir dist || true
 	admin-gallu-deploy --verbose \
 	  --forge_upload --forge_group oasis \
 	  --forge_extra_file "dist/oasis-doc-$(shell oasis query version).tar.gz"
 	# TODO: create a plugin to send announcement.
 	# oasis announce
+	$(MAKE) build
+	./Main.byte setup
 	admin-gallu-oasis-increment --setup_run
 	$(MAKE) distclean
 	./configure --enable-tests --enable-docs
