=== po/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 ################################################################################
 #  OASIS: architecture for building OCaml libraries and applications           #
 #                                                                              #
-#  Copyright (C) 2008-2010, OCamlCore SARL                                     #
+#  Copyright (C) 2011-2013, Sylvain Le Gall                                    #
+#  Copyright (C) 2008-2011, OCamlCore SARL                                     #
 #                                                                              #
 #  This library is free software; you can redistribute it and/or modify it     #
 #  under the terms of the GNU Lesser General Public License as published by    #
@@ -62,17 +63,17 @@
 	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
 	  --merge-pot $(POTFILE) $@
 
-$(BUILDPO): 
+$(BUILDPO):
 	mkdir -p $(BUILDPO)
 
-.PRECIOUS: $(POTFILE) 
+.PRECIOUS: $(POTFILE)
 
 install-buildpo: $(MOFILES) $(BUILDPO)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	  --install-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
 	  --install-destdir $(BUILDPO) $(MOFILES)
 
-install-po: $(MOFILES) 
+install-po: $(MOFILES)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	  --install-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
 	  --install-destdir $(PODIR) $(MOFILES)
@@ -86,5 +87,5 @@
 	-$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS) \
 	  --uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                     \
 	  --uninstall-orgdir $(BUILDPO) $(MOFILES)
-	-$(RM) $(MOFILES) 
+	-$(RM) $(MOFILES)
