=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
-  Sylvain Le Gall <gildor@debian.org>,
   Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   debhelper (>= 9),
@@ -11,6 +10,7 @@
   ocaml-nox (>= 3.11.2),
   ocaml-best-compilers,
   ocaml-findlib (>= 1.3.1),
+  camlp4,
   ocamlify,
   ocamlmod (>= 0.0.7),
   libpcre-ocaml-dev,
