## oasis 0.4.6

=== debian/changelog ===
oasis (0.4.6-1) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Team upload
  * New upstream release
    - Drop libexpect-ocaml-dev from Build-Depends
  * Install .cmt, cmti and .annot files in liboasis-ocaml-dev
  * Bump Standards-Version to 3.9.8, no changes required.

  [ Stéphane Glondu ]
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Aug 2016 10:40:53 +0200
