=== debian/control ===
--- 
+++ 
@@ -18,15 +18,14 @@
   libodn-ocaml-dev (>= 0.0.11),
   libfindlib-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.2),
-  libexpect-ocaml-dev (>= 0.0.4),
   zlib1g-dev,
   libidn11-dev,
   libextlib-ocaml-dev,
   libbitstring-ocaml-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://oasis.forge.ocamlcore.org/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/oasis.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/oasis.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
 
 Package: oasis
 Architecture: any
